## OsmGpsMapImage OsmGpsMapImage — An image shown on the map |

## Stability Level

Stable, unless otherwise indicated

## Synopsis

    #include <osm-gps-map.h>

                        OsmGpsMapImage;
                        OsmGpsMapImageClass;
    void                osm_gps_map_image_draw              (OsmGpsMapImage *object,
                                                             GdkDrawable *drawable,
                                                             GdkGC *gc,
                                                             GdkRectangle *rect);
    const OsmGpsMapPoint * osm_gps_map_image_get_point      (OsmGpsMapImage *object);
    GType               osm_gps_map_image_get_type          (void);
    OsmGpsMapImage *    osm_gps_map_image_new               (void);

## Object Hierarchy

      GObject
       +----OsmGpsMapImage

## Properties

      "pixbuf"                   GdkPixbuf*            : Read / Write / Construct
      "point"                    OsmGpsMapPoint*       : Read / Write / Construct
      "x-align"                  gfloat                : Read / Write / Construct
      "y-align"                  gfloat                : Read / Write / Construct

## Description

OsmGpsMapImage represents an image (a GdkPixbuf) shown on the map (`osm_gps_map_image_add()`) at a specific location (a OsmGpsMapPoint).

## Details

### OsmGpsMapImage

    typedef struct _OsmGpsMapImage OsmGpsMapImage;

### OsmGpsMapImageClass

    typedef struct {
        GObjectClass parent_class;
    } OsmGpsMapImageClass;

### osm_gps_map_image_draw ()

    void                osm_gps_map_image_draw              (OsmGpsMapImage *object,
                                                             GdkDrawable *drawable,
                                                             GdkGC *gc,
                                                             GdkRectangle *rect);

`object` : |
`drawable` : |
`gc` : |
`rect` : |

### osm_gps_map_image_get_point ()

    const OsmGpsMapPoint * osm_gps_map_image_get_point      (OsmGpsMapImage *object);

`object` : |
Returns : |

### osm_gps_map_image_get_type ()

    GType               osm_gps_map_image_get_type          (void);

Returns : |

### osm_gps_map_image_new ()

    OsmGpsMapImage *    osm_gps_map_image_new               (void);

Returns : |

## Property Details

### The `"pixbuf"` property

      "pixbuf"                   GdkPixbuf*            : Read / Write / Construct

the pixbuf for this image.

### The `"point"` property

      "point"                    OsmGpsMapPoint*       : Read / Write / Construct

location point.

### The `"x-align"` property

      "x-align"                  gfloat                : Read / Write / Construct

image x-alignment.

Allowed values: [0,1]

Default value: 0.5

### The `"y-align"` property

      "y-align"                  gfloat                : Read / Write / Construct

image y-alignment.

Allowed values: [0,1]

Default value: 0.5